Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTip Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| delete ()
| id ()
& | name ()
& | description ()
& | url ()
& | clickPrice ()
& | viewPrice ()
| isActive ()
| useHTML ()
& | htmlBanner ()
& | viewStartDate ()
& | viewStopDate ()
| setName ( $value)
| setDescription ( $value)
| setURL ( $value)
| setIsActive ( $value)
| setHTMLBanner ( $value)
| setUseHTML ( $value)
& | categories ()
| removeFromCategories ()
| setImage ( $value)
| deleteImage ( $value)
| image ()
| addPageView ()
| viewCount ()
| clickCount ()

## Public Attributes
| $ID
| $Name
| $Description
| $ImageID
| $ViewStartDate
| $HTMLBanner
| $UseHTML
| $IsActive
| Indicates if the banner is active or not. More...
| $ViewRule
| Indicates if the banner should be viewed by date or by clicks. More...
| $URL
| The URL to go to when the banner is clicked. More...
| $ClickPrice
| $ViewPrice

## Detailed Description

! eZTip eZTip handles tips.

See also
  eZTipCategory

TODO

Definition at line 45 of file eztip.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTip::__construct | ( |  | $id = `""` | ) |

Constructs a new eZTip object.

If $id is set the object's values are fetched from the database.

Definition at line 53 of file eztip.php.

References $id, $ID, and Name.

## Member Function Documentation

## ◆ addPageView()

eZTip::addPageView | ( |  | ) |

Tipds a pageview to the banner.

Definition at line 449 of file eztip.php.

References $date, $dateTime, $db, $query, $res, and eZDB\globalDatabase().

Referenced by store().

## ◆ categories()

& eZTip::categories | ( |  | ) |

Returns the categrories an ad is assigned to.

The categories are returned as an array of eZTipCategory objects.

Definition at line 370 of file eztip.php.

References $category, $category_array, $db, $ret, and eZDB\globalDatabase().

## ◆ clickCount()

eZTip::clickCount | ( |  | ) |

Returns the total number of times the banner has been clicked.

Definition at line 538 of file eztip.php.

References $db, and eZDB\globalDatabase().

## ◆ clickPrice()

& eZTip::clickPrice | ( |  | ) |

Returns the ad's click price.

Definition at line 231 of file eztip.php.

References $ClickPrice.

## ◆ delete()

eZTip::delete | ( |  | ) |

Deletes a eZTip object from the database.

Definition at line 180 of file eztip.php.

References $db, and eZDB\globalDatabase().

## ◆ deleteImage()

eZTip::deleteImage | ( |  | $value | ) |

Deletes the banner ad image.

NOTE: the image also gets deleted from the image catalogue.

Definition at line 415 of file eztip.php.

References $db, $image, and eZDB\globalDatabase().

## ◆ description()

& eZTip::description | ( |  | ) |

Returns the ad's description.

Definition at line 215 of file eztip.php.

## ◆ get()

eZTip::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 147 of file eztip.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ htmlBanner()

& eZTip::htmlBanner | ( |  | ) |

Returns the ad's HTML banner.

Definition at line 275 of file eztip.php.

References $HTMLBanner.

## ◆ id()

eZTip::id | ( |  | ) |

Returns the object ID.

Definition at line 199 of file eztip.php.

References $ID.

## ◆ image()

eZTip::image | ( |  | ) |

Returns the banner ad image.

Definition at line 431 of file eztip.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ isActive()

eZTip::isActive | ( |  | ) |

Returns true if the ad is active false if not.

Definition at line 247 of file eztip.php.

References $ret.

## ◆ name()

& eZTip::name | ( |  | ) |

Returns the ad's name.

Definition at line 207 of file eztip.php.

References Name.

## ◆ removeFromCategories()

eZTip::removeFromCategories | ( |  | ) |

Removes every category assignments from the current ad.

Definition at line 389 of file eztip.php.

References $db, and eZDB\globalDatabase().

## ◆ setDescription()

eZTip::setDescription | ( |  | $value | ) |

Sets the ad's description.

Definition at line 313 of file eztip.php.

## ◆ setHTMLBanner()

eZTip::setHTMLBanner | ( |  | $value | ) |

Sets the HTML banner code.

Definition at line 345 of file eztip.php.

## ◆ setImage()

eZTip::setImage | ( |  | $value | ) |

Sets the banner ad image.

Definition at line 400 of file eztip.php.

References $db, and eZDB\globalDatabase().

## ◆ setIsActive()

eZTip::setIsActive | ( |  | $value | ) |

Sets the ad to active or not.

Definition at line 330 of file eztip.php.

## ◆ setName()

eZTip::setName | ( |  | $value | ) |

Sets the ad's name.

Definition at line 305 of file eztip.php.

References Name.

## ◆ setURL()

eZTip::setURL | ( |  | $value | ) |

Sets the URL which the ad should link to.

Definition at line 321 of file eztip.php.

## ◆ setUseHTML()

eZTip::setUseHTML | ( |  | $value | ) |

Sets the ad to use html banner or not.

Definition at line 353 of file eztip.php.

## ◆ store()

eZTip::store | ( |  | ) |

Stores a product to the database.

Definition at line 75 of file eztip.php.

References $db, $name, $res, $url, addPageView(), eZDB\globalDatabase(), and Name.

## ◆ url()

& eZTip::url | ( |  | ) |

Returns the ad's url.

Definition at line 223 of file eztip.php.

References $URL.

## ◆ useHTML()

eZTip::useHTML | ( |  | ) |

Returns true if the ad is set to use HTML banners.

Definition at line 261 of file eztip.php.

References $ret.

## ◆ viewCount()

eZTip::viewCount | ( |  | ) |

Returns the total number of times the banner has been viewed.

Definition at line 524 of file eztip.php.

References $db, and eZDB\globalDatabase().

## ◆ viewPrice()

& eZTip::viewPrice | ( |  | ) |

Returns the ad's view price.

Definition at line 239 of file eztip.php.

References $ViewPrice.

## ◆ viewStartDate()

& eZTip::viewStartDate | ( |  | ) |

Returns the view start date.

Definition at line 283 of file eztip.php.

References $dateTime.

## ◆ viewStopDate()

& eZTip::viewStopDate | ( |  | ) |

Returns the view stop date.

Definition at line 294 of file eztip.php.

References $dateTime.

## Member Data Documentation

## ◆ $ClickPrice

eZTip::$ClickPrice

Definition at line 566 of file eztip.php.

Referenced by clickPrice().

## ◆ $Description

eZTip::$Description

Definition at line 552 of file eztip.php.

## ◆ $HTMLBanner

eZTip::$HTMLBanner

Definition at line 555 of file eztip.php.

Referenced by htmlBanner().

## ◆ $ID

eZTip::$ID

Definition at line 550 of file eztip.php.

Referenced by __construct(), and id().

## ◆ $ImageID

eZTip::$ImageID

Definition at line 553 of file eztip.php.

## ◆ $IsActive

eZTip::$IsActive

Indicates if the banner is active or not.

Definition at line 559 of file eztip.php.

## ◆ $Name

eZTip::$Name

Definition at line 551 of file eztip.php.

## ◆ $URL

eZTip::$URL

The URL to go to when the banner is clicked.

Definition at line 565 of file eztip.php.

Referenced by url().

## ◆ $UseHTML

eZTip::$UseHTML

Definition at line 556 of file eztip.php.

## ◆ $ViewPrice

eZTip::$ViewPrice

Definition at line 567 of file eztip.php.

Referenced by viewPrice().

## ◆ $ViewRule

eZTip::$ViewRule

Indicates if the banner should be viewed by date or by clicks.

Definition at line 562 of file eztip.php.

## ◆ $ViewStartDate

eZTip::$ViewStartDate

Definition at line 554 of file eztip.php.

The documentation for this class was generated from the following file:

- eztip.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.